﻿@model Jumbula.Core.Model.Report.Filter.JbReportFilter

@{
    Layout = null;
}
<script src="~/Scripts/Kendo/kendo.aspnetmvc.min.js"></script>
<div class="view-container">
    <div class="title-bar" style="margin-bottom: 90px">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size: 20px">
            <div>
                {{ReportName}} report
            </div>
            <div ng-include="'/Dashboard/Report/GetView/_HeaderReport'"></div>
        </div>

        <div style="float: right">
            <div ng-include="'/Dashboard/Report/GetView/_ExportNavbar'"></div>
        </div>
        
        <div class="clearfix" style="margin-bottom: 20px"></div>

        <div compile="FilterView" class="padding-left20 padding-right20"></div>
    </div>

    <form novalidate="" style="margin-top:30px">

        <div ng-include="'/Dashboard/Report/GetView/_FilterReport'"></div>

        <button ng-show="Filters != null" class="primary place-right large button margin-left20 margin-bottom20" style="padding-bottom: 9px; width: 90px; padding-top: 6px;" ng-click="runReport()">View</button>
        <button ng-show="IsReportRun && Filters != null" class="button link place-right on-left-more" style="margin: 0" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>

    <div class="clearfix"></div>
    <div ng-show="IsReportRun" class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="grid" options="gridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>

<style>
    ::-webkit-scrollbar-track-piece {
        background: #eee
    }
</style>


